SDL_TextEditingExtEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | windowID
char * | text
Sint32 | start
Sint32 | length

## Detailed Description

Extended keyboard text editing event structure (event.editExt.*) when text would be truncated if stored in the text buffer SDL_TextEditingEvent

Definition at line 255 of file SDL_events.h.

## Field Documentation

## length

Sint32 SDL_TextEditingExtEvent::length

The length of selected editing text

Definition at line 262 of file SDL_events.h.

## start

Sint32 SDL_TextEditingExtEvent::start

The start cursor of selected editing text

Definition at line 261 of file SDL_events.h.

## text

char* SDL_TextEditingExtEvent::text

The editing text, which should be freed with SDL_free(), and will not be NULL

Definition at line 260 of file SDL_events.h.

## timestamp

Uint32 SDL_TextEditingExtEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 258 of file SDL_events.h.

## type

Uint32 SDL_TextEditingExtEvent::type

SDL_TEXTEDITING_EXT

Definition at line 257 of file SDL_events.h.

## windowID

Uint32 SDL_TextEditingExtEvent::windowID

The window with keyboard focus, if any

Definition at line 259 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h